org.apache.http.client.utils

## Class Punycode

- java.lang.Object
- - org.apache.http.client.utils.Punycode

- Deprecated.
  (4.4) use standard `IDN`.

      @Contract(threading=IMMUTABLE)
      @Deprecated
      public class Punycode
      extends Object

  Facade that provides conversion between Unicode and Punycode domain names. It will use an appropriate implementation.
  Since:
    4.0

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Punycode()` Deprecated.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static String` | `toUnicode(String punycode)` Deprecated.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Punycode

          public Punycode()

      Deprecated.

  - ### Method Detail

    - #### toUnicode

          public static String toUnicode(String punycode)

      Deprecated.

Copyright © 1999–2022 The Apache Software Foundation. All rights reserved.